#ifndef SOCK_H
#define SOCK_H

#include <features.h>
__BEGIN_DECLS

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>


struct sockaddr_in make_sockaddr_in(char *hostname, int port);
int make_socket(char *hostname, int port);
int make_listen_socket(int port);
int make_socketpair(int sv[2]);
int make_udp_socket(char *hostname, int port);
int make_udp_listen_socket(int port);

/* fd_sets for readable and writable sockets */
extern fd_set fd_ractive;
extern fd_set fd_wactive;
extern int global_max_fd;

__END_DECLS

#endif /* SOCK_H */
