/*
 * wcon v0.5 GUI library for the console
 * Written by Fakhir Ansari <ansari89@yahoo.com>
 *
 * Interface to the keyboard
 *
 */
#ifndef KEYBOARD_H
#define KEYBOARD_H


/* The keyboard class */
class CKeyboard {
public:
    CKeyboard();
    ~CKeyboard();

    int KeyPressed();
    int Getch();

    int GetLastKey();

private:
    /* Last key input by the user */
    int LastKey;
};


#endif /* KEYBOARD_H */
