#ifndef CONNMAN_H
#define CONNMAN_H

#include <features.h>
__BEGIN_DECLS

#define CONNSTATE_DATA_PENDING	1
#define CONNSTATE_NO_DATA	2

int conn_set_ttl(int new_ttl);
int conn_get_ttl();
int conn_fd_open(int sock);
int conn_open(naddr_t *connto);
int conn_close_all();
int conn_fd_close(int sock);
int conn_fd_unreg(int sock);
int conn_close(naddr_t *find);
int conn_get(naddr_t *find);
int conn_fd_authorize(int sock, naddr_t *authaddr);
int conn_fd_set_state(int sock, int state);
int conn_fd_get_state(int sock);
int conn_reset_ttl(int sock);
int conn_dec_ttl();

__END_DECLS

#endif /* CONNMAN_H */
