/*
 * wcon v0.5 GUI library for the console
 * Written by Fakhir Ansari <ansari89@yahoo.com>
 *
 * The desktop class
 *
 */
#ifndef XDESKTOP_H
#define XDESKTOP_H

#include "data.h"

/* Dimensions of the images */
extern int XDESKTOP_MAXLINES;
extern int XDESKTOP_SCRLINES;
extern int XDESKTOP_SCRCOLS;

/* The desktop class */
class CDeskTop {
public:
    CDeskTop();
    ~CDeskTop();

    bool LoadFile(char *);

    /* Display an image on the desktop */
    bool Display(int = 0);

private:
    bool HasDesktop;

#if defined(X_UNIX) || defined (X_DJGPP)
    chtype *Image;
#endif
};

#endif /* XDESKTOP_H */
